Bug 1399655 - python-docutils: Missing "python2-<module>" provides
Summary: python-docutils: Missing "python2-<module>" provides
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-docutils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 14:07 UTC by Charalampos Stratakis
Modified: 2018-04-11 11:55 UTC (History)
4 users (show)

Fixed In Version: python-docutils-0.13.1-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 04:21:55 UTC


Attachments (Terms of Use)

Description Charalampos Stratakis 2016-11-29 14:07:16 UTC
This package does not provide "python2-<module>".

As per Python packaging guidelines [0], when there are two versions of
module "foo", the two packages must provide:
"python3-foo" for Python 3
"python2-foo" for Python 2
"python-foo" for the system default Python (currently 2, but this might
change in the future)

Please use the %python_provide macro [1] to specify the correct provides.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with this
issue, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1]
https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Comment 1 Kevin Fenzi 2016-12-27 23:51:31 UTC
Fixed in rawhide. Thanks!

Comment 2 Fedora Update System 2017-01-27 23:16:15 UTC
python-docutils-0.13.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6727b9509

Comment 3 Fedora Update System 2017-01-29 02:22:42 UTC
python-docutils-0.13.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6727b9509

Comment 4 Matěj Cepl 2017-01-29 09:32:24 UTC
matej@mitmanek: LanguageTool (master #%)$ rpm -q --provides python-docutils
docutils = 0.13.1-1.fc25
python-docutils = 0.13.1-1.fc25
python2.7dist(docutils) = 0.13.1
python2dist(docutils) = 0.13.1
matej@mitmanek: LanguageTool (master #%)$ 

This doesn't look correct. Is it?

Comment 5 Fedora Update System 2017-01-29 21:46:01 UTC
python-docutils-0.13.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-87b0d2882a

Comment 6 Kevin Fenzi 2017-01-29 21:46:34 UTC
Alas, it seems the python_provide macro wasn't doing the right thing. I've reworked the package to hopefully correct this. ;) 

Check the new update and see if it looks better...

Comment 7 Fedora Update System 2017-01-31 03:51:24 UTC
python-docutils-0.13.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-87b0d2882a

Comment 8 Matěj Cepl 2017-01-31 14:36:04 UTC
(In reply to Kevin Fenzi from comment #6)
> Alas, it seems the python_provide macro wasn't doing the right thing. I've
> reworked the package to hopefully correct this. ;) 
> 
> Check the new update and see if it looks better...

It does:

matej@mitmanek: ~$ rpm -q --provides python2-docutils
docutils = 0.13.1-2.fc25
python-docutils = 0.13.1-2.fc25
python2-docutils = 0.13.1-2.fc25
python2.7dist(docutils) = 0.13.1
python2dist(docutils) = 0.13.1
matej@mitmanek: ~$ 

So, technically speaking, this bug has been fixed. However, looking at this made me thinking:

matej@mitmanek: ~$ rpm -qa 'python(docutils)'
matej@mitmanek: ~$ rpm -q --whatprovides 'python(docutils)'
no package provides python(docutils)
matej@mitmanek: ~$ 

Shouldn't all Python libraries provide also 'python(name)' provide?

Comment 9 Kevin Fenzi 2017-01-31 16:42:46 UTC
I have no idea. Perhaps something to bring up on the packaging list?

Comment 10 Fedora Update System 2017-01-31 16:47:35 UTC
python-docutils-0.13.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-87b0d2882a

Comment 11 Fedora Update System 2017-01-31 23:49:30 UTC
python-docutils-0.13.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-87b0d2882a

Comment 12 Fedora Update System 2017-02-09 04:21:55 UTC
python-docutils-0.13.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.